import 'package:fis_common/event/event_type.dart';
import 'package:fis_measure/view/player/enums.dart';
import 'package:fis_measure/view/player/events.dart';

/// 播放器控制器
abstract class IPlayerController {
  /// 状态
  VidPlayStatus get status;

// TODO: 暂时的
  void setLoadState(bool loaded);

  /// 播放
  void play();

  /// 暂停
  void pause();

  /// 释放资源
  void dispose();

  /// 事件处理
  late FEventHandler<VidPlayerEvent> eventHandler;
}
